#ifdef mikro

#include "global.h"
#include <util/delay.h>

BOOL ReadFile(HANDLE h,void* output,DWORD ennyit_olvasunk,DWORD *bytesread, void *OVERLAPPED)
{
	*bytesread = 0;
	while (ennyit_olvasunk-- && uartReceiveByte(1,output++)) (*bytesread)++;	
	return !ennyit_olvasunk;
}

BOOL WriteFile(HANDLE h,void *mit,DWORD mennyit_akarunk,DWORD *mennyit_sikerult,void *OVERLAPPED)
{
	*mennyit_sikerult = 0;
	while (mennyit_akarunk-- && uartSendByte(1,output++)) (*mennyit_sikerult)++;	
	return !mennyit_akarunk;
}

int send(HANDLE hCom){ 
    return 0;
}

void sleep(unsigned int mseconds)
{
	_delay_ms(mseconds);
}

HANDLE initComPort(char *pcCommPort){           //soros port inicializalasa
}
#endif
